global:
  scrape_interval: 15s
  evaluation_interval: 15s

scrape_configs:
  - job_name: 'airflow'
    static_configs:
      - targets: ['airflow-webserver:8080']
  
  - job_name: 'kafka'
    static_configs:
      - targets: ['kafka:9092']
  
  - job_name: 'spark'
    static_configs:
      - targets: ['spark-master:8080']
  
  - job_name: 'flink'
    static_configs:
      - targets: ['jobmanager:8081']
  
  - job_name: 'cassandra'
    static_configs:
      - targets: ['cassandra:9042']
  
  - job_name: 'hdfs'
    static_configs:
      - targets: ['namenode:9870']
